Index: stylesheets/dump-commands.xsl
===================================================================
--- stylesheets/dump-commands.xsl	(revision 9512d6c7ba21e5765754b53db08c55851fecdc05)
+++ stylesheets/dump-commands.xsl	(revision 2a26a4f5df7c2487afb89fcd05d99133e84b284c)
@@ -8,5 +8,6 @@
 
   <xsl:variable name="newline">
-    <xsl:text>&#xA;</xsl:text>
+    <xsl:text>
+</xsl:text>
   </xsl:variable>
 
Index: stylesheets/lfs-xsl/pdf.xsl
===================================================================
--- stylesheets/lfs-xsl/pdf.xsl	(revision 9512d6c7ba21e5765754b53db08c55851fecdc05)
+++ stylesheets/lfs-xsl/pdf.xsl	(revision 2a26a4f5df7c2487afb89fcd05d99133e84b284c)
@@ -1,3 +1,3 @@
-<?xml version='1.0' encoding='ISO-8859-1'?>
+<?xml version='1.0' encoding='UTF-8'?>
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
@@ -52,6 +52,8 @@
   <!-- Allow URLs to be automatically hyphenated.
        We have expanded the support to several inline tags.
-       See pdf/lfs-mixed.xsl -->
-  <xsl:param name="ulink.hyphenate" select="'&#x200B;'"/>
+       See pdf/lfs-mixed.xsl.
+       Note: the argument in select= is a zero-width space
+       (unicode 200b, encoded in utf-8)-->
+  <xsl:param name="ulink.hyphenate" select="'​'"/>
 
   <!-- List of characters to allow ulink URLs, and supported inline tags,
Index: stylesheets/lfs-xsl/xhtml/lfs-mixed.xsl
===================================================================
--- stylesheets/lfs-xsl/xhtml/lfs-mixed.xsl	(revision 9512d6c7ba21e5765754b53db08c55851fecdc05)
+++ stylesheets/lfs-xsl/xhtml/lfs-mixed.xsl	(revision 2a26a4f5df7c2487afb89fcd05d99133e84b284c)
@@ -1,3 +1,3 @@
-<?xml version='1.0' encoding='ISO-8859-1'?>
+<?xml version='1.0' encoding='UTF-8'?>
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
@@ -295,5 +295,7 @@
         </xsl:when>
         <xsl:when test="$numcols &gt; 3">
-          <td>&#160;</td>
+        <!-- The space between <td> and </td> is a non breakable
+             space (unicode A0) encoded in utf-8.-->
+          <td> </td>
         </xsl:when>
         <xsl:otherwise/>
Index: stylesheets/md5sum.xsl
===================================================================
--- stylesheets/md5sum.xsl	(revision 9512d6c7ba21e5765754b53db08c55851fecdc05)
+++ stylesheets/md5sum.xsl	(revision 2a26a4f5df7c2487afb89fcd05d99133e84b284c)
@@ -1,5 +1,5 @@
-<?xml version='1.0' encoding='ISO-8859-1'?>
+<?xml version='1.0' encoding='UTF-8'?>
 
-<!-- Create a md5 list for packages and pathces used. -->
+<!-- Create a md5 list for packages and patches used. -->
 
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
@@ -32,5 +32,6 @@
 
       <!-- Add a newline -->
-      <xsl:text>&#x0a;</xsl:text>
+      <xsl:text>
+</xsl:text>
 
     </xsl:if>
@@ -56,3 +57,2 @@
 
 </xsl:stylesheet>
-
Index: stylesheets/patcheslist.xsl
===================================================================
--- stylesheets/patcheslist.xsl	(revision 9512d6c7ba21e5765754b53db08c55851fecdc05)
+++ stylesheets/patcheslist.xsl	(revision 2a26a4f5df7c2487afb89fcd05d99133e84b284c)
@@ -1,3 +1,3 @@
-<?xml version='1.0' encoding='ISO-8859-1'?>
+<?xml version='1.0' encoding='UTF-8'?>
 <!DOCTYPE xsl:stylesheet [
  <!ENTITY % general-entities SYSTEM "../general.ent">
@@ -23,24 +23,28 @@
 }
 
-umask 002 &#x0a;&#x0a;</xsl:text>
+umask 002
 
-      <!-- Create dest.dir if it don't exist -->
-    <xsl:text>install -d -m 775 -g lfswww </xsl:text>
+# Create dest.dir if it doesn't exist
+# Remove old patches
+# Copy the patches
+# Ensure correct ownership
+install -d -m 775 -g lfswww </xsl:text>
     <xsl:value-of select="$dest.dir"/>
-    <xsl:text> &amp;&amp;&#x0a;</xsl:text>
-    <xsl:text>cd </xsl:text>
+    <xsl:text> &amp;&amp;
+cd </xsl:text>
     <xsl:value-of select="$dest.dir"/>
-    <xsl:text> &amp;&amp;&#x0a;&#x0a;</xsl:text>
-      <!-- Remove old patches -->
-    <xsl:text>rm -f *.patch copyerrs &amp;&amp; &#x0a;&#x0a;</xsl:text>
+    <xsl:text> &amp;&amp;
+rm -f *.patch copyerrs &amp;&amp;
+
+</xsl:text>
     <xsl:apply-templates/>
-      <!-- Ensure correct owneship -->
-    <xsl:text>&#x0a;chgrp lfswww *.patch &amp;&amp;&#x0a;</xsl:text>
     <xsl:text>
+chgrp lfswww *.patch &amp;&amp;
 if [ `wc -l copyerrs | sed 's/ *//' | cut -f1 -d' '` -gt 0 ]; then
   mail -s "Missing LFS patches" lfs-book@lists.linuxfromscratch.org &lt; copyerrs
-fi&#x0a;&#x0a;</xsl:text>
+fi
 
-    <xsl:text>exit&#x0a;</xsl:text>
+exit
+</xsl:text>
   </xsl:template>
 
@@ -60,8 +64,9 @@
       </xsl:variable>
       <xsl:text>copy /srv/www/www.linuxfromscratch.org/patches/downloads/</xsl:text>
-          <xsl:value-of select="substring-before($patch.name2, '-0')"/>
+      <xsl:value-of select="substring-before($patch.name2, '-0')"/>
       <xsl:text>/</xsl:text>
       <xsl:value-of select="$patch.name"/>
-      <xsl:text> . &#x0a;</xsl:text>
+      <xsl:text> .
+</xsl:text>
     </xsl:if>
   </xsl:template>
Index: stylesheets/wget-list.xsl
===================================================================
--- stylesheets/wget-list.xsl	(revision 9512d6c7ba21e5765754b53db08c55851fecdc05)
+++ stylesheets/wget-list.xsl	(revision 2a26a4f5df7c2487afb89fcd05d99133e84b284c)
@@ -29,5 +29,6 @@
         </xsl:otherwise>
       </xsl:choose>
-      <xsl:text>&#x0a;</xsl:text>
+      <xsl:text>
+</xsl:text>
     </xsl:if>
   </xsl:template>
